## org.apache.lucene
Class DocumentBuilder.DocumentBuilderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.lucene.DocumentBuilder.DocumentBuilderException

All Implemented Interfaces:
  Serializable

Enclosing interface:
  DocumentBuilder

    public static class DocumentBuilder.DocumentBuilderException

extends Exception

An exception thrown from `DocumentBuilder`'s build().

See Also:
  Serialized Form

Constructor Summary
`DocumentBuilder.DocumentBuilderException()`
`DocumentBuilder.DocumentBuilderException(String message)`
`DocumentBuilder.DocumentBuilderException(String message, Throwable cause)`
`DocumentBuilder.DocumentBuilderException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentBuilder.DocumentBuilderException

    public DocumentBuilder.DocumentBuilderException()

### DocumentBuilder.DocumentBuilderException

    public DocumentBuilder.DocumentBuilderException(String message)

### DocumentBuilder.DocumentBuilderException

    public DocumentBuilder.DocumentBuilderException(String message,
                                                    Throwable cause)

### DocumentBuilder.DocumentBuilderException

    public DocumentBuilder.DocumentBuilderException(Throwable cause)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.